petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscOptionsPrefixPush

Designate a prefix to be used by all options insertions to follow.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscOptionsPrefixPush(PetscOptions options,const char prefix[])

Not Collective, but prefix will only be applied on calling ranks Many br

### Input Parameter

| options | - options database, or NULL for the default global database Many br
| prefix | - The string to append to the existing prefix Many br

### Options Database Keys

+ -prefix_push <some_prefix_> - push the given prefix Many br- -prefix_pop - pop the last prefix Many br

### Notes

It is common to use this in conjunction with -options_file as in Many br

$ -prefix_push system1_ -options_file system1rc -prefix_pop -prefix_push system2_ -options_file system2rc -prefix_pop Many br

where the files no longer require all options to be prefixed with -system2_. Many br

Many br

### See Also

PetscOptionsPrefixPop()

Level:advanced
Location:src/sys/objects/options.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages